(define (problem transport-two-cities-netbenefit-3nodes-700size-3degree-70mindistance-1trucks-2packages-6024seed)
(:domain transport)
(:objects
city-1-loc-1 - location
city-2-loc-1 - location
city-1-loc-2 - location
city-2-loc-2 - location
city-1-loc-3 - location
city-2-loc-3 - location
truck-1 - vehicle
package-1 - package
package-2 - package
capacity-0 - capacity-number
capacity-1 - capacity-number
capacity-2 - capacity-number
capacity-3 - capacity-number
capacity-4 - capacity-number
sg0 - softgoalorder
sg1 - softgoalorder
sg2 - softgoalorder
)
(:init
(= (total-cost ) 0)
(capacity-predecessor capacity-0 capacity-1 )
(capacity-predecessor capacity-1 capacity-2 )
(capacity-predecessor capacity-2 capacity-3 )
(capacity-predecessor capacity-3 capacity-4 )
(road city-1-loc-2 city-1-loc-1 )
(= (road-length city-1-loc-2 city-1-loc-1 ) 46)
(= (fuel-demand city-1-loc-2 city-1-loc-1 ) 92)
(road city-1-loc-1 city-1-loc-2 )
(= (road-length city-1-loc-1 city-1-loc-2 ) 46)
(= (fuel-demand city-1-loc-1 city-1-loc-2 ) 92)
(road city-1-loc-3 city-1-loc-1 )
(= (road-length city-1-loc-3 city-1-loc-1 ) 35)
(= (fuel-demand city-1-loc-3 city-1-loc-1 ) 69)
(road city-1-loc-1 city-1-loc-3 )
(= (road-length city-1-loc-1 city-1-loc-3 ) 35)
(= (fuel-demand city-1-loc-1 city-1-loc-3 ) 69)
(road city-2-loc-2 city-2-loc-1 )
(= (road-length city-2-loc-2 city-2-loc-1 ) 14)
(= (fuel-demand city-2-loc-2 city-2-loc-1 ) 27)
(road city-2-loc-1 city-2-loc-2 )
(= (road-length city-2-loc-1 city-2-loc-2 ) 14)
(= (fuel-demand city-2-loc-1 city-2-loc-2 ) 27)
(road city-2-loc-3 city-2-loc-1 )
(= (road-length city-2-loc-3 city-2-loc-1 ) 43)
(= (fuel-demand city-2-loc-3 city-2-loc-1 ) 86)
(road city-2-loc-1 city-2-loc-3 )
(= (road-length city-2-loc-1 city-2-loc-3 ) 43)
(= (fuel-demand city-2-loc-1 city-2-loc-3 ) 86)
(road city-1-loc-2 city-2-loc-3 )
(= (road-length city-1-loc-2 city-2-loc-3 ) 118)
(= (fuel-demand city-1-loc-2 city-2-loc-3 ) 59)
(road city-2-loc-3 city-1-loc-2 )
(= (road-length city-2-loc-3 city-1-loc-2 ) 118)
(= (fuel-demand city-2-loc-3 city-1-loc-2 ) 59)
(has-petrol-station city-1-loc-2 )
(has-petrol-station city-2-loc-3 )
(at package-1 city-1-loc-1 )
(at package-2 city-1-loc-2 )
(at truck-1 city-2-loc-3 )
(= (fuel-left truck-1 ) 880)
(= (fuel-max truck-1 ) 880)
(capacity truck-1 capacity-3 )
(current-softgoal sg0 )
(next-softgoal sg0 sg1 )
(next-softgoal sg1 sg2 )
(= (at-softgoal-reward package-1 city-2-loc-3 ) 333)
(at-softgoal-order package-1 city-2-loc-3 sg0 )
(= (at-softgoal-reward package-2 city-2-loc-1 ) 281)
(at-softgoal-order package-2 city-2-loc-1 sg1 )
(normal-mode )
)
(:goal
( and
(at-softgoal package-1 city-2-loc-3 )
(at-softgoal package-2 city-2-loc-1 )
)
)
(:metric minimize
(total-cost)
)
)
