(define (problem transport-two-cities-netbenefit-4nodes-700size-3degree-70mindistance-1trucks-2packages-6024seed)
(:domain transport)
(:objects
city-1-loc-1 - location
city-2-loc-1 - location
city-1-loc-2 - location
city-2-loc-2 - location
city-1-loc-3 - location
city-2-loc-3 - location
city-1-loc-4 - location
city-2-loc-4 - location
truck-1 - vehicle
package-1 - package
package-2 - package
capacity-0 - capacity-number
capacity-1 - capacity-number
capacity-2 - capacity-number
capacity-3 - capacity-number
capacity-4 - capacity-number
sg0 - softgoalorder
sg1 - softgoalorder
sg2 - softgoalorder
)
(:init
(= (total-cost ) 0)
(capacity-predecessor capacity-0 capacity-1 )
(capacity-predecessor capacity-1 capacity-2 )
(capacity-predecessor capacity-2 capacity-3 )
(capacity-predecessor capacity-3 capacity-4 )
(road city-1-loc-2 city-1-loc-1 )
(= (road-length city-1-loc-2 city-1-loc-1 ) 40)
(= (fuel-demand city-1-loc-2 city-1-loc-1 ) 80)
(road city-1-loc-1 city-1-loc-2 )
(= (road-length city-1-loc-1 city-1-loc-2 ) 40)
(= (fuel-demand city-1-loc-1 city-1-loc-2 ) 80)
(road city-1-loc-3 city-1-loc-1 )
(= (road-length city-1-loc-3 city-1-loc-1 ) 40)
(= (fuel-demand city-1-loc-3 city-1-loc-1 ) 79)
(road city-1-loc-1 city-1-loc-3 )
(= (road-length city-1-loc-1 city-1-loc-3 ) 40)
(= (fuel-demand city-1-loc-1 city-1-loc-3 ) 79)
(road city-1-loc-3 city-1-loc-2 )
(= (road-length city-1-loc-3 city-1-loc-2 ) 40)
(= (fuel-demand city-1-loc-3 city-1-loc-2 ) 80)
(road city-1-loc-2 city-1-loc-3 )
(= (road-length city-1-loc-2 city-1-loc-3 ) 40)
(= (fuel-demand city-1-loc-2 city-1-loc-3 ) 80)
(road city-1-loc-4 city-1-loc-2 )
(= (road-length city-1-loc-4 city-1-loc-2 ) 37)
(= (fuel-demand city-1-loc-4 city-1-loc-2 ) 73)
(road city-1-loc-2 city-1-loc-4 )
(= (road-length city-1-loc-2 city-1-loc-4 ) 37)
(= (fuel-demand city-1-loc-2 city-1-loc-4 ) 73)
(road city-1-loc-4 city-1-loc-3 )
(= (road-length city-1-loc-4 city-1-loc-3 ) 25)
(= (fuel-demand city-1-loc-4 city-1-loc-3 ) 50)
(road city-1-loc-3 city-1-loc-4 )
(= (road-length city-1-loc-3 city-1-loc-4 ) 25)
(= (fuel-demand city-1-loc-3 city-1-loc-4 ) 50)
(road city-2-loc-2 city-2-loc-1 )
(= (road-length city-2-loc-2 city-2-loc-1 ) 37)
(= (fuel-demand city-2-loc-2 city-2-loc-1 ) 74)
(road city-2-loc-1 city-2-loc-2 )
(= (road-length city-2-loc-1 city-2-loc-2 ) 37)
(= (fuel-demand city-2-loc-1 city-2-loc-2 ) 74)
(road city-2-loc-3 city-2-loc-1 )
(= (road-length city-2-loc-3 city-2-loc-1 ) 21)
(= (fuel-demand city-2-loc-3 city-2-loc-1 ) 42)
(road city-2-loc-1 city-2-loc-3 )
(= (road-length city-2-loc-1 city-2-loc-3 ) 21)
(= (fuel-demand city-2-loc-1 city-2-loc-3 ) 42)
(road city-2-loc-3 city-2-loc-2 )
(= (road-length city-2-loc-3 city-2-loc-2 ) 27)
(= (fuel-demand city-2-loc-3 city-2-loc-2 ) 53)
(road city-2-loc-2 city-2-loc-3 )
(= (road-length city-2-loc-2 city-2-loc-3 ) 27)
(= (fuel-demand city-2-loc-2 city-2-loc-3 ) 53)
(road city-2-loc-4 city-2-loc-1 )
(= (road-length city-2-loc-4 city-2-loc-1 ) 25)
(= (fuel-demand city-2-loc-4 city-2-loc-1 ) 49)
(road city-2-loc-1 city-2-loc-4 )
(= (road-length city-2-loc-1 city-2-loc-4 ) 25)
(= (fuel-demand city-2-loc-1 city-2-loc-4 ) 49)
(road city-2-loc-4 city-2-loc-2 )
(= (road-length city-2-loc-4 city-2-loc-2 ) 19)
(= (fuel-demand city-2-loc-4 city-2-loc-2 ) 37)
(road city-2-loc-2 city-2-loc-4 )
(= (road-length city-2-loc-2 city-2-loc-4 ) 19)
(= (fuel-demand city-2-loc-2 city-2-loc-4 ) 37)
(road city-2-loc-4 city-2-loc-3 )
(= (road-length city-2-loc-4 city-2-loc-3 ) 8)
(= (fuel-demand city-2-loc-4 city-2-loc-3 ) 16)
(road city-2-loc-3 city-2-loc-4 )
(= (road-length city-2-loc-3 city-2-loc-4 ) 8)
(= (fuel-demand city-2-loc-3 city-2-loc-4 ) 16)
(road city-1-loc-3 city-2-loc-2 )
(= (road-length city-1-loc-3 city-2-loc-2 ) 94)
(= (fuel-demand city-1-loc-3 city-2-loc-2 ) 47)
(road city-2-loc-2 city-1-loc-3 )
(= (road-length city-2-loc-2 city-1-loc-3 ) 94)
(= (fuel-demand city-2-loc-2 city-1-loc-3 ) 47)
(has-petrol-station city-1-loc-3 )
(has-petrol-station city-2-loc-2 )
(at package-1 city-1-loc-2 )
(at package-2 city-1-loc-3 )
(at truck-1 city-2-loc-3 )
(= (fuel-left truck-1 ) 699)
(= (fuel-max truck-1 ) 699)
(capacity truck-1 capacity-3 )
(current-softgoal sg0 )
(next-softgoal sg0 sg1 )
(next-softgoal sg1 sg2 )
(= (at-softgoal-reward package-1 city-2-loc-3 ) 266)
(at-softgoal-order package-1 city-2-loc-3 sg0 )
(= (at-softgoal-reward package-2 city-2-loc-3 ) 297)
(at-softgoal-order package-2 city-2-loc-3 sg1 )
(normal-mode )
)
(:goal
( and
(at-softgoal package-1 city-2-loc-3 )
(at-softgoal package-2 city-2-loc-3 )
)
)
(:metric minimize
(total-cost)
)
)
