(define (problem transport-two-cities-netbenefit-6nodes-700size-3degree-70mindistance-2trucks-3packages-6024seed)
(:domain transport)
(:objects
city-1-loc-1 - location
city-2-loc-1 - location
city-1-loc-2 - location
city-2-loc-2 - location
city-1-loc-3 - location
city-2-loc-3 - location
city-1-loc-4 - location
city-2-loc-4 - location
city-1-loc-5 - location
city-2-loc-5 - location
city-1-loc-6 - location
city-2-loc-6 - location
truck-1 - vehicle
truck-2 - vehicle
package-1 - package
package-2 - package
package-3 - package
capacity-0 - capacity-number
capacity-1 - capacity-number
capacity-2 - capacity-number
capacity-3 - capacity-number
capacity-4 - capacity-number
sg0 - softgoalorder
sg1 - softgoalorder
sg2 - softgoalorder
sg3 - softgoalorder
)
(:init
(= (total-cost ) 0)
(capacity-predecessor capacity-0 capacity-1 )
(capacity-predecessor capacity-1 capacity-2 )
(capacity-predecessor capacity-2 capacity-3 )
(capacity-predecessor capacity-3 capacity-4 )
(road city-1-loc-3 city-1-loc-2 )
(= (road-length city-1-loc-3 city-1-loc-2 ) 20)
(= (fuel-demand city-1-loc-3 city-1-loc-2 ) 40)
(road city-1-loc-2 city-1-loc-3 )
(= (road-length city-1-loc-2 city-1-loc-3 ) 20)
(= (fuel-demand city-1-loc-2 city-1-loc-3 ) 40)
(road city-1-loc-4 city-1-loc-1 )
(= (road-length city-1-loc-4 city-1-loc-1 ) 26)
(= (fuel-demand city-1-loc-4 city-1-loc-1 ) 51)
(road city-1-loc-1 city-1-loc-4 )
(= (road-length city-1-loc-1 city-1-loc-4 ) 26)
(= (fuel-demand city-1-loc-1 city-1-loc-4 ) 51)
(road city-1-loc-4 city-1-loc-2 )
(= (road-length city-1-loc-4 city-1-loc-2 ) 32)
(= (fuel-demand city-1-loc-4 city-1-loc-2 ) 63)
(road city-1-loc-2 city-1-loc-4 )
(= (road-length city-1-loc-2 city-1-loc-4 ) 32)
(= (fuel-demand city-1-loc-2 city-1-loc-4 ) 63)
(road city-1-loc-5 city-1-loc-1 )
(= (road-length city-1-loc-5 city-1-loc-1 ) 25)
(= (fuel-demand city-1-loc-5 city-1-loc-1 ) 50)
(road city-1-loc-1 city-1-loc-5 )
(= (road-length city-1-loc-1 city-1-loc-5 ) 25)
(= (fuel-demand city-1-loc-1 city-1-loc-5 ) 50)
(road city-1-loc-5 city-1-loc-3 )
(= (road-length city-1-loc-5 city-1-loc-3 ) 28)
(= (fuel-demand city-1-loc-5 city-1-loc-3 ) 56)
(road city-1-loc-3 city-1-loc-5 )
(= (road-length city-1-loc-3 city-1-loc-5 ) 28)
(= (fuel-demand city-1-loc-3 city-1-loc-5 ) 56)
(road city-1-loc-6 city-1-loc-1 )
(= (road-length city-1-loc-6 city-1-loc-1 ) 32)
(= (fuel-demand city-1-loc-6 city-1-loc-1 ) 63)
(road city-1-loc-1 city-1-loc-6 )
(= (road-length city-1-loc-1 city-1-loc-6 ) 32)
(= (fuel-demand city-1-loc-1 city-1-loc-6 ) 63)
(road city-1-loc-6 city-1-loc-2 )
(= (road-length city-1-loc-6 city-1-loc-2 ) 13)
(= (fuel-demand city-1-loc-6 city-1-loc-2 ) 26)
(road city-1-loc-2 city-1-loc-6 )
(= (road-length city-1-loc-2 city-1-loc-6 ) 13)
(= (fuel-demand city-1-loc-2 city-1-loc-6 ) 26)
(road city-1-loc-6 city-1-loc-3 )
(= (road-length city-1-loc-6 city-1-loc-3 ) 24)
(= (fuel-demand city-1-loc-6 city-1-loc-3 ) 48)
(road city-1-loc-3 city-1-loc-6 )
(= (road-length city-1-loc-3 city-1-loc-6 ) 24)
(= (fuel-demand city-1-loc-3 city-1-loc-6 ) 48)
(road city-1-loc-6 city-1-loc-4 )
(= (road-length city-1-loc-6 city-1-loc-4 ) 21)
(= (fuel-demand city-1-loc-6 city-1-loc-4 ) 42)
(road city-1-loc-4 city-1-loc-6 )
(= (road-length city-1-loc-4 city-1-loc-6 ) 21)
(= (fuel-demand city-1-loc-4 city-1-loc-6 ) 42)
(road city-1-loc-6 city-1-loc-5 )
(= (road-length city-1-loc-6 city-1-loc-5 ) 27)
(= (fuel-demand city-1-loc-6 city-1-loc-5 ) 53)
(road city-1-loc-5 city-1-loc-6 )
(= (road-length city-1-loc-5 city-1-loc-6 ) 27)
(= (fuel-demand city-1-loc-5 city-1-loc-6 ) 53)
(road city-2-loc-2 city-2-loc-1 )
(= (road-length city-2-loc-2 city-2-loc-1 ) 16)
(= (fuel-demand city-2-loc-2 city-2-loc-1 ) 32)
(road city-2-loc-1 city-2-loc-2 )
(= (road-length city-2-loc-1 city-2-loc-2 ) 16)
(= (fuel-demand city-2-loc-1 city-2-loc-2 ) 32)
(road city-2-loc-3 city-2-loc-1 )
(= (road-length city-2-loc-3 city-2-loc-1 ) 19)
(= (fuel-demand city-2-loc-3 city-2-loc-1 ) 38)
(road city-2-loc-1 city-2-loc-3 )
(= (road-length city-2-loc-1 city-2-loc-3 ) 19)
(= (fuel-demand city-2-loc-1 city-2-loc-3 ) 38)
(road city-2-loc-3 city-2-loc-2 )
(= (road-length city-2-loc-3 city-2-loc-2 ) 28)
(= (fuel-demand city-2-loc-3 city-2-loc-2 ) 55)
(road city-2-loc-2 city-2-loc-3 )
(= (road-length city-2-loc-2 city-2-loc-3 ) 28)
(= (fuel-demand city-2-loc-2 city-2-loc-3 ) 55)
(road city-2-loc-4 city-2-loc-1 )
(= (road-length city-2-loc-4 city-2-loc-1 ) 16)
(= (fuel-demand city-2-loc-4 city-2-loc-1 ) 31)
(road city-2-loc-1 city-2-loc-4 )
(= (road-length city-2-loc-1 city-2-loc-4 ) 16)
(= (fuel-demand city-2-loc-1 city-2-loc-4 ) 31)
(road city-2-loc-4 city-2-loc-2 )
(= (road-length city-2-loc-4 city-2-loc-2 ) 11)
(= (fuel-demand city-2-loc-4 city-2-loc-2 ) 21)
(road city-2-loc-2 city-2-loc-4 )
(= (road-length city-2-loc-2 city-2-loc-4 ) 11)
(= (fuel-demand city-2-loc-2 city-2-loc-4 ) 21)
(road city-2-loc-4 city-2-loc-3 )
(= (road-length city-2-loc-4 city-2-loc-3 ) 19)
(= (fuel-demand city-2-loc-4 city-2-loc-3 ) 38)
(road city-2-loc-3 city-2-loc-4 )
(= (road-length city-2-loc-3 city-2-loc-4 ) 19)
(= (fuel-demand city-2-loc-3 city-2-loc-4 ) 38)
(road city-2-loc-5 city-2-loc-1 )
(= (road-length city-2-loc-5 city-2-loc-1 ) 17)
(= (fuel-demand city-2-loc-5 city-2-loc-1 ) 33)
(road city-2-loc-1 city-2-loc-5 )
(= (road-length city-2-loc-1 city-2-loc-5 ) 17)
(= (fuel-demand city-2-loc-1 city-2-loc-5 ) 33)
(road city-2-loc-5 city-2-loc-2 )
(= (road-length city-2-loc-5 city-2-loc-2 ) 25)
(= (fuel-demand city-2-loc-5 city-2-loc-2 ) 50)
(road city-2-loc-2 city-2-loc-5 )
(= (road-length city-2-loc-2 city-2-loc-5 ) 25)
(= (fuel-demand city-2-loc-2 city-2-loc-5 ) 50)
(road city-2-loc-5 city-2-loc-4 )
(= (road-length city-2-loc-5 city-2-loc-4 ) 30)
(= (fuel-demand city-2-loc-5 city-2-loc-4 ) 60)
(road city-2-loc-4 city-2-loc-5 )
(= (road-length city-2-loc-4 city-2-loc-5 ) 30)
(= (fuel-demand city-2-loc-4 city-2-loc-5 ) 60)
(road city-2-loc-6 city-2-loc-2 )
(= (road-length city-2-loc-6 city-2-loc-2 ) 23)
(= (fuel-demand city-2-loc-6 city-2-loc-2 ) 46)
(road city-2-loc-2 city-2-loc-6 )
(= (road-length city-2-loc-2 city-2-loc-6 ) 23)
(= (fuel-demand city-2-loc-2 city-2-loc-6 ) 46)
(road city-2-loc-6 city-2-loc-4 )
(= (road-length city-2-loc-6 city-2-loc-4 ) 33)
(= (fuel-demand city-2-loc-6 city-2-loc-4 ) 65)
(road city-2-loc-4 city-2-loc-6 )
(= (road-length city-2-loc-4 city-2-loc-6 ) 33)
(= (fuel-demand city-2-loc-4 city-2-loc-6 ) 65)
(road city-1-loc-2 city-2-loc-5 )
(= (road-length city-1-loc-2 city-2-loc-5 ) 106)
(= (fuel-demand city-1-loc-2 city-2-loc-5 ) 53)
(road city-2-loc-5 city-1-loc-2 )
(= (road-length city-2-loc-5 city-1-loc-2 ) 106)
(= (fuel-demand city-2-loc-5 city-1-loc-2 ) 53)
(has-petrol-station city-1-loc-2 )
(has-petrol-station city-2-loc-5 )
(at package-1 city-1-loc-1 )
(at package-2 city-1-loc-5 )
(at package-3 city-1-loc-4 )
(at truck-1 city-2-loc-4 )
(= (fuel-left truck-1 ) 792)
(= (fuel-max truck-1 ) 792)
(capacity truck-1 capacity-4 )
(at truck-2 city-2-loc-5 )
(= (fuel-left truck-2 ) 792)
(= (fuel-max truck-2 ) 792)
(capacity truck-2 capacity-2 )
(current-softgoal sg0 )
(next-softgoal sg0 sg1 )
(next-softgoal sg1 sg2 )
(next-softgoal sg2 sg3 )
(= (at-softgoal-reward package-1 city-2-loc-1 ) 249)
(at-softgoal-order package-1 city-2-loc-1 sg0 )
(= (at-softgoal-reward package-3 city-2-loc-5 ) 248)
(at-softgoal-order package-3 city-2-loc-5 sg1 )
(= (at-softgoal-reward package-2 city-2-loc-5 ) 223)
(at-softgoal-order package-2 city-2-loc-5 sg2 )
(normal-mode )
)
(:goal
( and
(at-softgoal package-1 city-2-loc-1 )
(at-softgoal package-3 city-2-loc-5 )
(at-softgoal package-2 city-2-loc-5 )
)
)
(:metric minimize
(total-cost)
)
)
