(define (problem wood-prob)
(:domain woodworking)
(:objects
grinder0 - grinder
glazer0 - glazer
immersion-varnisher0 - immersion-varnisher
planer0 - planer
highspeed-saw0 - highspeed-saw
spray-varnisher0 - spray-varnisher
saw0 - saw
black - acolour
red - acolour
beech - awood
cherry - awood
p0 - part
p1 - part
p2 - part
b0 - board
b1 - board
sg0 - softgoalorder
sg1 - softgoalorder
sg2 - softgoalorder
sg3 - softgoalorder
sg4 - softgoalorder
sg5 - softgoalorder
sg6 - softgoalorder
sg7 - softgoalorder
sg8 - softgoalorder
sg9 - softgoalorder
)
(:init
(grind-treatment-change varnished colourfragments )
(grind-treatment-change glazed untreated )
(grind-treatment-change untreated untreated )
(grind-treatment-change colourfragments untreated )
(is-smooth smooth )
(is-smooth verysmooth )
(= (total-cost ) 0)
(has-colour glazer0 black )
(has-colour glazer0 natural )
(has-colour glazer0 red )
(has-colour immersion-varnisher0 natural )
(has-colour immersion-varnisher0 black )
(has-colour immersion-varnisher0 red )
(empty highspeed-saw0 )
(has-colour spray-varnisher0 natural )
(has-colour spray-varnisher0 black )
(has-colour spray-varnisher0 red )
(unused p0 )
(= (goal-size p0 ) 7)
(= (glaze-cost p0 ) 12)
(= (grind-cost p0 ) 21)
(= (plane-cost p0 ) 14)
(unused p1 )
(= (goal-size p1 ) 13)
(= (glaze-cost p1 ) 18)
(= (grind-cost p1 ) 39)
(= (plane-cost p1 ) 26)
(unused p2 )
(= (goal-size p2 ) 6)
(= (glaze-cost p2 ) 11)
(= (grind-cost p2 ) 18)
(= (plane-cost p2 ) 12)
(= (board-size b0 ) 27)
(wood b0 beech )
(surface-condition b0 smooth )
(available b0 )
(= (board-size b1 ) 25)
(wood b1 cherry )
(surface-condition b1 smooth )
(available b1 )
(normal-mode )
(current-softgoal sg0 )
(next-softgoal sg0 sg1 )
(next-softgoal sg1 sg2 )
(next-softgoal sg2 sg3 )
(next-softgoal sg3 sg4 )
(next-softgoal sg4 sg5 )
(next-softgoal sg5 sg6 )
(next-softgoal sg6 sg7 )
(next-softgoal sg7 sg8 )
(next-softgoal sg8 sg9 )
(= (colour-wood-treatment-available-softgoal-reward p0 natural p0 beech p0 varnished p0 ) 53.0)
(colour-wood-treatment-available-softgoal-order p0 natural p0 beech p0 varnished p0 sg0 )
(= (colour-wood-treatment-available-softgoal-reward p0 black p0 beech p0 glazed p0 ) 48.0)
(colour-wood-treatment-available-softgoal-order p0 black p0 beech p0 glazed p0 sg1 )
(= (colour-surface-condition-available-softgoal-reward p2 natural p2 verysmooth p2 ) 73.0)
(colour-surface-condition-available-softgoal-order p2 natural p2 verysmooth p2 sg2 )
(= (colour-surface-condition-available-softgoal-reward p1 red p1 smooth p1 ) 104.0)
(colour-surface-condition-available-softgoal-order p1 red p1 smooth p1 sg3 )
(= (colour-wood-available-softgoal-reward p2 black p2 cherry p2 ) 51.0)
(colour-wood-available-softgoal-order p2 black p2 cherry p2 sg4 )
(= (wood-surface-condition-treatment-available-softgoal-reward p2 cherry p2 verysmooth p2 varnished p2 ) 81.0)
(wood-surface-condition-treatment-available-softgoal-order p2 cherry p2 verysmooth p2 varnished p2 sg5 )
(= (colour-treatment-available-softgoal-reward p1 red p1 glazed p1 ) 59.0)
(colour-treatment-available-softgoal-order p1 red p1 glazed p1 sg6 )
(= (colour-wood-surface-condition-treatment-available-softgoal-reward p1 natural p1 beech p1 verysmooth p1 glazed p1 ) 125.0)
(colour-wood-surface-condition-treatment-available-softgoal-order p1 natural p1 beech p1 verysmooth p1 glazed p1 sg7 )
(= (colour-wood-surface-condition-treatment-available-softgoal-reward p1 black p1 cherry p1 verysmooth p1 varnished p1 ) 118.0)
(colour-wood-surface-condition-treatment-available-softgoal-order p1 black p1 cherry p1 verysmooth p1 varnished p1 sg8 )
)
(:goal
( and
(colour-wood-treatment-available-softgoal p0 natural p0 beech p0 varnished p0 )
(colour-wood-treatment-available-softgoal p0 black p0 beech p0 glazed p0 )
(colour-surface-condition-available-softgoal p2 natural p2 verysmooth p2 )
(colour-surface-condition-available-softgoal p1 red p1 smooth p1 )
(colour-wood-available-softgoal p2 black p2 cherry p2 )
(wood-surface-condition-treatment-available-softgoal p2 cherry p2 verysmooth p2 varnished p2 )
(colour-treatment-available-softgoal p1 red p1 glazed p1 )
(colour-wood-surface-condition-treatment-available-softgoal p1 natural p1 beech p1 verysmooth p1 glazed p1 )
(colour-wood-surface-condition-treatment-available-softgoal p1 black p1 cherry p1 verysmooth p1 varnished p1 )
)
)
(:metric minimize
(total-cost)
)
)
