(define (problem wood-prob)
(:domain woodworking)
(:objects
grinder0 - grinder
glazer0 - glazer
immersion-varnisher0 - immersion-varnisher
planer0 - planer
highspeed-saw0 - highspeed-saw
spray-varnisher0 - spray-varnisher
saw0 - saw
blue - acolour
green - acolour
black - acolour
red - acolour
mahogany - awood
beech - awood
p0 - part
p1 - part
p2 - part
p3 - part
p4 - part
p5 - part
b0 - board
b1 - board
sg0 - softgoalorder
sg1 - softgoalorder
sg2 - softgoalorder
sg3 - softgoalorder
sg4 - softgoalorder
sg5 - softgoalorder
sg6 - softgoalorder
)
(:init
(grind-treatment-change varnished colourfragments )
(grind-treatment-change glazed untreated )
(grind-treatment-change untreated untreated )
(grind-treatment-change colourfragments untreated )
(is-smooth smooth )
(is-smooth verysmooth )
(= (total-cost ) 0)
(has-colour glazer0 green )
(has-colour glazer0 black )
(has-colour glazer0 natural )
(has-colour glazer0 red )
(has-colour immersion-varnisher0 natural )
(has-colour immersion-varnisher0 black )
(has-colour immersion-varnisher0 red )
(empty highspeed-saw0 )
(has-colour spray-varnisher0 natural )
(has-colour spray-varnisher0 black )
(has-colour spray-varnisher0 red )
(unused p0 )
(= (goal-size p0 ) 7)
(= (glaze-cost p0 ) 12)
(= (grind-cost p0 ) 21)
(= (plane-cost p0 ) 14)
(unused p1 )
(= (goal-size p1 ) 12)
(= (glaze-cost p1 ) 17)
(= (grind-cost p1 ) 36)
(= (plane-cost p1 ) 24)
(unused p2 )
(= (goal-size p2 ) 13)
(= (glaze-cost p2 ) 18)
(= (grind-cost p2 ) 39)
(= (plane-cost p2 ) 26)
(unused p3 )
(= (goal-size p3 ) 12)
(= (glaze-cost p3 ) 17)
(= (grind-cost p3 ) 36)
(= (plane-cost p3 ) 24)
(unused p4 )
(= (goal-size p4 ) 10)
(= (glaze-cost p4 ) 15)
(= (grind-cost p4 ) 30)
(= (plane-cost p4 ) 20)
(unused p5 )
(= (goal-size p5 ) 6)
(= (glaze-cost p5 ) 11)
(= (grind-cost p5 ) 18)
(= (plane-cost p5 ) 12)
(= (board-size b0 ) 25)
(wood b0 beech )
(surface-condition b0 rough )
(available b0 )
(= (board-size b1 ) 35)
(wood b1 mahogany )
(surface-condition b1 smooth )
(available b1 )
(normal-mode )
(current-softgoal sg0 )
(next-softgoal sg0 sg1 )
(next-softgoal sg1 sg2 )
(next-softgoal sg2 sg3 )
(next-softgoal sg3 sg4 )
(next-softgoal sg4 sg5 )
(next-softgoal sg5 sg6 )
(= (colour-wood-surface-condition-treatment-available-softgoal-reward p0 black p0 mahogany p0 verysmooth p0 varnished p0 ) 62.0)
(colour-wood-surface-condition-treatment-available-softgoal-order p0 black p0 mahogany p0 verysmooth p0 varnished p0 sg0 )
(= (colour-wood-surface-condition-available-softgoal-reward p3 red p3 mahogany p3 smooth p3 ) 73.0)
(colour-wood-surface-condition-available-softgoal-order p3 red p3 mahogany p3 smooth p3 sg1 )
(= (colour-wood-available-softgoal-reward p5 natural p5 mahogany p5 ) 43.0)
(colour-wood-available-softgoal-order p5 natural p5 mahogany p5 sg2 )
(= (colour-surface-condition-treatment-available-softgoal-reward p2 green p2 smooth p2 glazed p2 ) 85.0)
(colour-surface-condition-treatment-available-softgoal-order p2 green p2 smooth p2 glazed p2 sg3 )
(= (colour-surface-condition-treatment-available-softgoal-reward p1 red p1 smooth p1 glazed p1 ) 100.0)
(colour-surface-condition-treatment-available-softgoal-order p1 red p1 smooth p1 glazed p1 sg4 )
(= (colour-treatment-available-softgoal-reward p4 black p4 glazed p4 ) 38.0)
(colour-treatment-available-softgoal-order p4 black p4 glazed p4 sg5 )
)
(:goal
( and
(colour-wood-surface-condition-treatment-available-softgoal p0 black p0 mahogany p0 verysmooth p0 varnished p0 )
(colour-wood-surface-condition-available-softgoal p3 red p3 mahogany p3 smooth p3 )
(colour-wood-available-softgoal p5 natural p5 mahogany p5 )
(colour-surface-condition-treatment-available-softgoal p2 green p2 smooth p2 glazed p2 )
(colour-surface-condition-treatment-available-softgoal p1 red p1 smooth p1 glazed p1 )
(colour-treatment-available-softgoal p4 black p4 glazed p4 )
)
)
(:metric minimize
(total-cost)
)
)
