(define (problem wood-prob)
(:domain woodworking)
(:objects
grinder0 - grinder
glazer0 - glazer
immersion-varnisher0 - immersion-varnisher
planer0 - planer
highspeed-saw0 - highspeed-saw
spray-varnisher0 - spray-varnisher
saw0 - saw
white - acolour
mauve - acolour
black - acolour
green - acolour
red - acolour
blue - acolour
teak - awood
mahogany - awood
p0 - part
p1 - part
p2 - part
p3 - part
p4 - part
p5 - part
p6 - part
p7 - part
b0 - board
b1 - board
b2 - board
sg0 - softgoalorder
sg1 - softgoalorder
sg2 - softgoalorder
sg3 - softgoalorder
sg4 - softgoalorder
sg5 - softgoalorder
sg6 - softgoalorder
sg7 - softgoalorder
sg8 - softgoalorder
)
(:init
(grind-treatment-change varnished colourfragments )
(grind-treatment-change glazed untreated )
(grind-treatment-change untreated untreated )
(grind-treatment-change colourfragments untreated )
(is-smooth smooth )
(is-smooth verysmooth )
(= (total-cost ) 0)
(has-colour glazer0 blue )
(has-colour glazer0 mauve )
(has-colour glazer0 white )
(has-colour glazer0 green )
(has-colour immersion-varnisher0 blue )
(has-colour immersion-varnisher0 mauve )
(empty highspeed-saw0 )
(has-colour spray-varnisher0 blue )
(has-colour spray-varnisher0 mauve )
(unused p0 )
(= (goal-size p0 ) 7)
(= (glaze-cost p0 ) 12)
(= (grind-cost p0 ) 21)
(= (plane-cost p0 ) 14)
(unused p1 )
(= (goal-size p1 ) 10)
(= (glaze-cost p1 ) 15)
(= (grind-cost p1 ) 30)
(= (plane-cost p1 ) 20)
(unused p2 )
(= (goal-size p2 ) 8)
(= (glaze-cost p2 ) 13)
(= (grind-cost p2 ) 24)
(= (plane-cost p2 ) 16)
(unused p3 )
(= (goal-size p3 ) 10)
(= (glaze-cost p3 ) 15)
(= (grind-cost p3 ) 30)
(= (plane-cost p3 ) 20)
(unused p4 )
(= (goal-size p4 ) 15)
(= (glaze-cost p4 ) 20)
(= (grind-cost p4 ) 45)
(= (plane-cost p4 ) 30)
(unused p5 )
(= (goal-size p5 ) 7)
(= (glaze-cost p5 ) 12)
(= (grind-cost p5 ) 21)
(= (plane-cost p5 ) 14)
(unused p6 )
(= (goal-size p6 ) 10)
(= (glaze-cost p6 ) 15)
(= (grind-cost p6 ) 30)
(= (plane-cost p6 ) 20)
(unused p7 )
(= (goal-size p7 ) 8)
(= (glaze-cost p7 ) 13)
(= (grind-cost p7 ) 24)
(= (plane-cost p7 ) 16)
(= (board-size b0 ) 27)
(wood b0 teak )
(surface-condition b0 rough )
(available b0 )
(= (board-size b1 ) 40)
(wood b1 mahogany )
(surface-condition b1 rough )
(available b1 )
(= (board-size b2 ) 8)
(wood b2 mahogany )
(surface-condition b2 rough )
(available b2 )
(normal-mode )
(current-softgoal sg0 )
(next-softgoal sg0 sg1 )
(next-softgoal sg1 sg2 )
(next-softgoal sg2 sg3 )
(next-softgoal sg3 sg4 )
(next-softgoal sg4 sg5 )
(next-softgoal sg5 sg6 )
(next-softgoal sg6 sg7 )
(next-softgoal sg7 sg8 )
(= (wood-surface-condition-treatment-available-softgoal-reward p0 mahogany p0 smooth p0 glazed p0 ) 59.0)
(wood-surface-condition-treatment-available-softgoal-order p0 mahogany p0 smooth p0 glazed p0 sg0 )
(= (colour-wood-surface-condition-available-softgoal-reward p3 blue p3 teak p3 verysmooth p3 ) 94.0)
(colour-wood-surface-condition-available-softgoal-order p3 blue p3 teak p3 verysmooth p3 sg1 )
(= (colour-wood-surface-condition-available-softgoal-reward p1 mauve p1 mahogany p1 smooth p1 ) 75.0)
(colour-wood-surface-condition-available-softgoal-order p1 mauve p1 mahogany p1 smooth p1 sg2 )
(= (colour-wood-surface-condition-treatment-available-softgoal-reward p7 green p7 mahogany p7 verysmooth p7 glazed p7 ) 74.0)
(colour-wood-surface-condition-treatment-available-softgoal-order p7 green p7 mahogany p7 verysmooth p7 glazed p7 sg3 )
(= (colour-wood-surface-condition-treatment-available-softgoal-reward p5 green p5 teak p5 smooth p5 glazed p5 ) 66.0)
(colour-wood-surface-condition-treatment-available-softgoal-order p5 green p5 teak p5 smooth p5 glazed p5 sg4 )
(= (colour-wood-surface-condition-treatment-available-softgoal-reward p2 mauve p2 mahogany p2 smooth p2 varnished p2 ) 91.0)
(colour-wood-surface-condition-treatment-available-softgoal-order p2 mauve p2 mahogany p2 smooth p2 varnished p2 sg5 )
(= (colour-wood-surface-condition-treatment-available-softgoal-reward p6 white p6 teak p6 verysmooth p6 glazed p6 ) 65.0)
(colour-wood-surface-condition-treatment-available-softgoal-order p6 white p6 teak p6 verysmooth p6 glazed p6 sg6 )
(= (colour-wood-treatment-available-softgoal-reward p4 blue p4 mahogany p4 glazed p4 ) 49.0)
(colour-wood-treatment-available-softgoal-order p4 blue p4 mahogany p4 glazed p4 sg7 )
)
(:goal
( and
(wood-surface-condition-treatment-available-softgoal p0 mahogany p0 smooth p0 glazed p0 )
(colour-wood-surface-condition-available-softgoal p3 blue p3 teak p3 verysmooth p3 )
(colour-wood-surface-condition-available-softgoal p1 mauve p1 mahogany p1 smooth p1 )
(colour-wood-surface-condition-treatment-available-softgoal p7 green p7 mahogany p7 verysmooth p7 glazed p7 )
(colour-wood-surface-condition-treatment-available-softgoal p5 green p5 teak p5 smooth p5 glazed p5 )
(colour-wood-surface-condition-treatment-available-softgoal p2 mauve p2 mahogany p2 smooth p2 varnished p2 )
(colour-wood-surface-condition-treatment-available-softgoal p6 white p6 teak p6 verysmooth p6 glazed p6 )
(colour-wood-treatment-available-softgoal p4 blue p4 mahogany p4 glazed p4 )
)
)
(:metric minimize
(total-cost)
)
)
