(define (problem wood-prob)
(:domain woodworking)
(:objects
grinder0 - grinder
glazer0 - glazer
immersion-varnisher0 - immersion-varnisher
planer0 - planer
highspeed-saw0 - highspeed-saw
spray-varnisher0 - spray-varnisher
saw0 - saw
blue - acolour
green - acolour
white - acolour
red - acolour
mauve - acolour
cherry - awood
pine - awood
p0 - part
p1 - part
p2 - part
p3 - part
p4 - part
p5 - part
p6 - part
b0 - board
b1 - board
sg0 - softgoalorder
sg1 - softgoalorder
sg2 - softgoalorder
sg3 - softgoalorder
sg4 - softgoalorder
sg5 - softgoalorder
sg6 - softgoalorder
sg7 - softgoalorder
)
(:init
(grind-treatment-change varnished colourfragments )
(grind-treatment-change glazed untreated )
(grind-treatment-change untreated untreated )
(grind-treatment-change colourfragments untreated )
(is-smooth smooth )
(is-smooth verysmooth )
(= (total-cost ) 0)
(has-colour glazer0 green )
(has-colour glazer0 natural )
(has-colour immersion-varnisher0 mauve )
(has-colour immersion-varnisher0 green )
(empty highspeed-saw0 )
(has-colour spray-varnisher0 mauve )
(has-colour spray-varnisher0 green )
(unused p0 )
(= (goal-size p0 ) 5)
(= (glaze-cost p0 ) 10)
(= (grind-cost p0 ) 15)
(= (plane-cost p0 ) 10)
(unused p1 )
(= (goal-size p1 ) 10)
(= (glaze-cost p1 ) 15)
(= (grind-cost p1 ) 30)
(= (plane-cost p1 ) 20)
(unused p2 )
(= (goal-size p2 ) 5)
(= (glaze-cost p2 ) 10)
(= (grind-cost p2 ) 15)
(= (plane-cost p2 ) 10)
(unused p3 )
(= (goal-size p3 ) 5)
(= (glaze-cost p3 ) 10)
(= (grind-cost p3 ) 15)
(= (plane-cost p3 ) 10)
(unused p4 )
(= (goal-size p4 ) 12)
(= (glaze-cost p4 ) 17)
(= (grind-cost p4 ) 36)
(= (plane-cost p4 ) 24)
(unused p5 )
(= (goal-size p5 ) 5)
(= (glaze-cost p5 ) 10)
(= (grind-cost p5 ) 15)
(= (plane-cost p5 ) 10)
(unused p6 )
(= (goal-size p6 ) 14)
(= (glaze-cost p6 ) 19)
(= (grind-cost p6 ) 42)
(= (plane-cost p6 ) 28)
(= (board-size b0 ) 27)
(wood b0 cherry )
(surface-condition b0 rough )
(available b0 )
(= (board-size b1 ) 29)
(wood b1 pine )
(surface-condition b1 rough )
(available b1 )
(normal-mode )
(current-softgoal sg0 )
(next-softgoal sg0 sg1 )
(next-softgoal sg1 sg2 )
(next-softgoal sg2 sg3 )
(next-softgoal sg3 sg4 )
(next-softgoal sg4 sg5 )
(next-softgoal sg5 sg6 )
(next-softgoal sg6 sg7 )
(= (wood-treatment-available-softgoal-reward p0 pine p0 varnished p0 ) 38.0)
(wood-treatment-available-softgoal-order p0 pine p0 varnished p0 sg0 )
(= (wood-treatment-available-softgoal-reward p5 pine p5 varnished p5 ) 39.0)
(wood-treatment-available-softgoal-order p5 pine p5 varnished p5 sg1 )
(= (wood-surface-condition-treatment-available-softgoal-reward p3 cherry p3 verysmooth p3 glazed p3 ) 65.0)
(wood-surface-condition-treatment-available-softgoal-order p3 cherry p3 verysmooth p3 glazed p3 sg2 )
(= (colour-wood-treatment-available-softgoal-reward p2 green p2 pine p2 varnished p2 ) 39.0)
(colour-wood-treatment-available-softgoal-order p2 green p2 pine p2 varnished p2 sg3 )
(= (colour-wood-surface-condition-treatment-available-softgoal-reward p6 natural p6 pine p6 verysmooth p6 glazed p6 ) 135.0)
(colour-wood-surface-condition-treatment-available-softgoal-order p6 natural p6 pine p6 verysmooth p6 glazed p6 sg4 )
(= (colour-wood-surface-condition-treatment-available-softgoal-reward p1 mauve p1 cherry p1 smooth p1 varnished p1 ) 75.0)
(colour-wood-surface-condition-treatment-available-softgoal-order p1 mauve p1 cherry p1 smooth p1 varnished p1 sg5 )
(= (colour-surface-condition-treatment-available-softgoal-reward p4 green p4 verysmooth p4 glazed p4 ) 92.0)
(colour-surface-condition-treatment-available-softgoal-order p4 green p4 verysmooth p4 glazed p4 sg6 )
)
(:goal
( and
(wood-treatment-available-softgoal p0 pine p0 varnished p0 )
(wood-treatment-available-softgoal p5 pine p5 varnished p5 )
(wood-surface-condition-treatment-available-softgoal p3 cherry p3 verysmooth p3 glazed p3 )
(colour-wood-treatment-available-softgoal p2 green p2 pine p2 varnished p2 )
(colour-wood-surface-condition-treatment-available-softgoal p6 natural p6 pine p6 verysmooth p6 glazed p6 )
(colour-wood-surface-condition-treatment-available-softgoal p1 mauve p1 cherry p1 smooth p1 varnished p1 )
(colour-surface-condition-treatment-available-softgoal p4 green p4 verysmooth p4 glazed p4 )
)
)
(:metric minimize
(total-cost)
)
)
