(define (problem wood-prob)
(:domain woodworking)
(:objects
grinder0 - grinder
glazer0 - glazer
immersion-varnisher0 - immersion-varnisher
planer0 - planer
highspeed-saw0 - highspeed-saw
spray-varnisher0 - spray-varnisher
saw0 - saw
red - acolour
mauve - acolour
black - acolour
green - acolour
blue - acolour
white - acolour
oak - awood
pine - awood
p0 - part
p1 - part
p2 - part
p3 - part
p4 - part
p5 - part
p6 - part
p7 - part
p8 - part
b0 - board
b1 - board
b2 - board
sg0 - softgoalorder
sg1 - softgoalorder
sg2 - softgoalorder
sg3 - softgoalorder
sg4 - softgoalorder
sg5 - softgoalorder
sg6 - softgoalorder
sg7 - softgoalorder
sg8 - softgoalorder
sg9 - softgoalorder
)
(:init
(grind-treatment-change varnished colourfragments )
(grind-treatment-change glazed untreated )
(grind-treatment-change untreated untreated )
(grind-treatment-change colourfragments untreated )
(is-smooth smooth )
(is-smooth verysmooth )
(= (total-cost ) 0)
(has-colour glazer0 mauve )
(has-colour glazer0 green )
(has-colour glazer0 red )
(has-colour immersion-varnisher0 blue )
(has-colour immersion-varnisher0 mauve )
(has-colour immersion-varnisher0 green )
(empty highspeed-saw0 )
(has-colour spray-varnisher0 blue )
(has-colour spray-varnisher0 mauve )
(has-colour spray-varnisher0 green )
(unused p0 )
(= (goal-size p0 ) 6)
(= (glaze-cost p0 ) 11)
(= (grind-cost p0 ) 18)
(= (plane-cost p0 ) 12)
(unused p1 )
(= (goal-size p1 ) 15)
(= (glaze-cost p1 ) 20)
(= (grind-cost p1 ) 45)
(= (plane-cost p1 ) 30)
(unused p2 )
(= (goal-size p2 ) 13)
(= (glaze-cost p2 ) 18)
(= (grind-cost p2 ) 39)
(= (plane-cost p2 ) 26)
(unused p3 )
(= (goal-size p3 ) 10)
(= (glaze-cost p3 ) 15)
(= (grind-cost p3 ) 30)
(= (plane-cost p3 ) 20)
(unused p4 )
(= (goal-size p4 ) 8)
(= (glaze-cost p4 ) 13)
(= (grind-cost p4 ) 24)
(= (plane-cost p4 ) 16)
(unused p5 )
(= (goal-size p5 ) 9)
(= (glaze-cost p5 ) 14)
(= (grind-cost p5 ) 27)
(= (plane-cost p5 ) 18)
(unused p6 )
(= (goal-size p6 ) 12)
(= (glaze-cost p6 ) 17)
(= (grind-cost p6 ) 36)
(= (plane-cost p6 ) 24)
(unused p7 )
(= (goal-size p7 ) 9)
(= (glaze-cost p7 ) 14)
(= (grind-cost p7 ) 27)
(= (plane-cost p7 ) 18)
(unused p8 )
(= (goal-size p8 ) 7)
(= (glaze-cost p8 ) 12)
(= (grind-cost p8 ) 21)
(= (plane-cost p8 ) 14)
(= (board-size b0 ) 33)
(wood b0 oak )
(surface-condition b0 smooth )
(available b0 )
(= (board-size b1 ) 28)
(wood b1 oak )
(surface-condition b1 rough )
(available b1 )
(= (board-size b2 ) 28)
(wood b2 pine )
(surface-condition b2 smooth )
(available b2 )
(normal-mode )
(current-softgoal sg0 )
(next-softgoal sg0 sg1 )
(next-softgoal sg1 sg2 )
(next-softgoal sg2 sg3 )
(next-softgoal sg3 sg4 )
(next-softgoal sg4 sg5 )
(next-softgoal sg5 sg6 )
(next-softgoal sg6 sg7 )
(next-softgoal sg7 sg8 )
(next-softgoal sg8 sg9 )
(= (available-surface-condition-treatment-wood-softgoal-reward p0 p0 verysmooth p0 glazed p0 oak ) 66.0)
(available-surface-condition-treatment-wood-softgoal-order p0 p0 verysmooth p0 glazed p0 oak sg0 )
(= (colour-wood-treatment-available-softgoal-reward p3 green p3 oak p3 glazed p3 ) 43.0)
(colour-wood-treatment-available-softgoal-order p3 green p3 oak p3 glazed p3 sg1 )
(= (wood-surface-condition-treatment-available-softgoal-reward p8 oak p8 verysmooth p8 glazed p8 ) 50.0)
(wood-surface-condition-treatment-available-softgoal-order p8 oak p8 verysmooth p8 glazed p8 sg2 )
(= (wood-surface-condition-treatment-available-softgoal-reward p5 oak p5 smooth p5 glazed p5 ) 89.0)
(wood-surface-condition-treatment-available-softgoal-order p5 oak p5 smooth p5 glazed p5 sg3 )
(= (colour-wood-available-softgoal-reward p7 mauve p7 oak p7 ) 32.0)
(colour-wood-available-softgoal-order p7 mauve p7 oak p7 sg4 )
(= (colour-wood-surface-condition-treatment-available-softgoal-reward p2 blue p2 pine p2 smooth p2 varnished p2 ) 71.0)
(colour-wood-surface-condition-treatment-available-softgoal-order p2 blue p2 pine p2 smooth p2 varnished p2 sg5 )
(= (colour-wood-surface-condition-treatment-available-softgoal-reward p4 red p4 oak p4 smooth p4 glazed p4 ) 83.0)
(colour-wood-surface-condition-treatment-available-softgoal-order p4 red p4 oak p4 smooth p4 glazed p4 sg6 )
(= (colour-surface-condition-available-softgoal-reward p6 green p6 smooth p6 ) 69.0)
(colour-surface-condition-available-softgoal-order p6 green p6 smooth p6 sg7 )
(= (available-surface-condition-treatment-softgoal-reward p1 p1 smooth p1 varnished ) 130.0)
(available-surface-condition-treatment-softgoal-order p1 p1 smooth p1 varnished sg8 )
)
(:goal
( and
(available-surface-condition-treatment-wood-softgoal p0 p0 verysmooth p0 glazed p0 oak )
(colour-wood-treatment-available-softgoal p3 green p3 oak p3 glazed p3 )
(wood-surface-condition-treatment-available-softgoal p8 oak p8 verysmooth p8 glazed p8 )
(wood-surface-condition-treatment-available-softgoal p5 oak p5 smooth p5 glazed p5 )
(colour-wood-available-softgoal p7 mauve p7 oak p7 )
(colour-wood-surface-condition-treatment-available-softgoal p2 blue p2 pine p2 smooth p2 varnished p2 )
(colour-wood-surface-condition-treatment-available-softgoal p4 red p4 oak p4 smooth p4 glazed p4 )
(colour-surface-condition-available-softgoal p6 green p6 smooth p6 )
(available-surface-condition-treatment-softgoal p1 p1 smooth p1 varnished )
)
)
(:metric minimize
(total-cost)
)
)
